import jaclib.memory.Buffer;

public class Class162_Sub1 extends Class162 implements Interface10 {

   int anInt9387;


   public void method42(int var1, byte[] var2, int var3) {
      this.method2829(var2, var3);
      this.anInt9387 = var1;
   }

   Class162_Sub1(Class545_Sub1 var1, int var2, Buffer var3) {
      super(var1, var3);
      this.anInt9387 = var2;
   }

   public int method30() {
      return 0;
   }

   public int method35() {
      return this.anInt9387;
   }

   Class162_Sub1(Class545_Sub1 var1, int var2, byte[] var3, int var4) {
      super(var1, var3, var4);
      this.anInt9387 = var2;
   }

   public void method38(int var1, byte[] var2, int var3) {
      this.method2829(var2, var3);
      this.anInt9387 = var1;
   }

   public int method32() {
      return 0;
   }

   public int method40() {
      return this.anInt9387;
   }

   public int method33() {
      return this.anInt9387;
   }

   public int method39() {
      return this.anInt9387;
   }

   public long method36() {
      return this.aBuffer2003.method75();
   }

   public long method41() {
      return this.aBuffer2003.method75();
   }

   public int method37() {
      return 0;
   }

   public void method43(int var1, byte[] var2, int var3) {
      this.method2829(var2, var3);
      this.anInt9387 = var1;
   }
}
